summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-03-04 07:28:22 +0100
committerHans de Graaff <graaff@gentoo.org>2016-03-04 08:25:02 +0100
commit05bd0e8b635c3874ec9fc04c50f4fbbaa79b5bc8 (patch)
tree34fcfa34b2c0978d4f849483b6dac3751b37fca1 /dev-ruby/webmock
parentwww-apache/passenger: cleanup (diff)
downloadgentoo-05bd0e8b635c3874ec9fc04c50f4fbbaa79b5bc8.tar.gz
gentoo-05bd0e8b635c3874ec9fc04c50f4fbbaa79b5bc8.tar.bz2
gentoo-05bd0e8b635c3874ec9fc04c50f4fbbaa79b5bc8.zip
dev-ruby/webmock: add 1.24.2
Package-Manager: portage-2.2.26
Diffstat (limited to 'dev-ruby/webmock')
-rw-r--r--dev-ruby/webmock/Manifest1
-rw-r--r--dev-ruby/webmock/webmock-1.24.2.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-ruby/webmock/Manifest b/dev-ruby/webmock/Manifest
index c84fc627817..d8ff4990fbd 100644
--- a/dev-ruby/webmock/Manifest
+++ b/dev-ruby/webmock/Manifest
@@ -2,3 +2,4 @@ DIST webmock-1.19.0.gem 97792 SHA256 af78155d46cfe293b052d08403932d994d366857a79
DIST webmock-1.20.3.gem 99840 SHA256 c01692190af4a5f26f376bf5678af1ebaeb5ac6d6f43d7a388c84f13d1f01025 SHA512 db9d770636dabf95b3a03a6589a259c1d66d875dba0cbcd493acf6bb35649c885139528aa5a8976d7ef438bca761e1063ae0fcf1da5b799e8d45abf1986c000c WHIRLPOOL bb0c4007bdd8f32e7cc6e8311d349b54be4f9dff81a88e6ab3f2df949008fce7dbd0de4127a202ca2677e1e6875759b5b683136d15d24dbfcc26f8e8e2e9f8cd
DIST webmock-1.22.6.gem 108032 SHA256 a4ba0124c5e1890a1d9e4a47f44493f14abb2fe3415e82b64bc677670792debf SHA512 42dbec5e3c56f0cdce37a53b2f49f400e03601f1a62c02caf7c5c022e51ab5c8304b35a8edea6675347a39b1d2ce08dea24bf555bdecf9268308dcfa6ec1c302 WHIRLPOOL 2033d4634125669556bfad0bfe22881c9115478e175a015a5c22323e30195f135e757e46c44f27fde98109527d78ff4a25d4f4d56b7143db212d9e34056d4623
DIST webmock-1.24.1.gem 109568 SHA256 028b83161035744e37738e8f832da8737b3a314e4153d5c5168ee20a4c6d8a7b SHA512 9330327b9fab829e552b6727b5f4e90795cb1329fc35b9e4ef14c78981549100bd51e78821acf1ba99f7583251c2c512db59ff601e430251a88176b91ef8b2ac WHIRLPOOL e4e38f4df956c51f24bc35a1ef4d4ff584311fc88a407683a29f9e43747d119498db8804b9246011e0e8c85a56341a4aaa9f7f1a68e518eff1fd1d1093657f6d
+DIST webmock-1.24.2.gem 110080 SHA256 254b75209e182e6afbf8cf6bb5844724a50c5857d1a476cdc18053437654caf7 SHA512 187dcff7d928f47891effe34f8cdcc55780c75f39467ec120467b173eedc73842a705f2baff5c459f4e8c7d1554fdfa70e5e8f0c7a5452f873c417e084db2201 WHIRLPOOL b59a9a5b79978589b912205f453cfc6cfbaab767dde63d4f292653e164dea650257aabb73fb8b189581b499b49c1096c670d8d63d2fa2cd4df26cd3cf2aeb63c
diff --git a/dev-ruby/webmock/webmock-1.24.2.ebuild b/dev-ruby/webmock/webmock-1.24.2.ebuild
new file mode 100644
index 00000000000..318e71a4f85
--- /dev/null
+++ b/dev-ruby/webmock/webmock-1.24.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_TEST="test spec NO_CONNECTION=true"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Allows stubbing HTTP requests and setting expectations on HTTP requests"
+HOMEPAGE="https://github.com/bblimke/webmock"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/addressable-2.3.6 >=dev-ruby/crack-0.3.2 dev-ruby/hashdiff"
+
+ruby_add_bdepend "test? (
+ dev-ruby/minitest:5
+ dev-ruby/rspec:3
+ dev-ruby/rack
+ >=dev-ruby/httpclient-2.2.4
+ >=dev-ruby/patron-0.4.18
+ >=dev-ruby/http-0.8.0:0.8 )"
+
+all_ruby_prepare() {
+ # Remove bundler support
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+
+ # There is now optional support for curb and typhoeus which we don't
+ # have in Gentoo yet. em_http_request is available in Gentoo but its
+ # version is too old.
+ sed -i -e '/\(curb\|typhoeus\|em-http\)/d' spec/spec_helper.rb || die
+ rm spec/acceptance/{typhoeus,curb,excon,em_http_request}/* || die
+}
+
+each_ruby_test() {
+ ${RUBY} -S rake test NO_CONNECTION=true || die
+ ${RUBY} -S rspec-3 spec || die
+
+ einfo "Delay to allow the test server to stop"
+ sleep 10
+}